#!/bin/sh

# run scripts in /entrypoint.d/
if [ -d /entrypoint.d ]; then
  echo "[-] Calling entrypoint scripts..."
  for filename in /entrypoint.d/*.sh; do
    echo "  -> $filename"
    if ! sh "$filename"; then exit 1; fi
  done
else
  echo "[!] No scripts matching *.sh found in /entrypoint.d"
fi

# run framework setups
if [ -d /scripts/frameworks ]; then
  echo "[-] Calling framework setup scripts..."
  for filename in /scripts/frameworks/*.sh; do
    sh "$filename" && break
  done
else
  echo "[!] No scripts matching *.sh found in /scripts/frameworks"
fi

# pass off to supervisor
echo "[-] Spawning supervisor"
exec /usr/bin/supervisord -n -c /etc/supervisord.conf
